## ros-one-roscpp-tutorials 0.10.3-0jammy.20251023.0013

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(roscpp_tutorials)

find_package(Boost REQUIRED COMPONENTS date_time thread)
find_package(catkin REQUIRED COMPONENTS message_generation rostime roscpp rosconsole roscpp_serialization)

include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_service_files(DIRECTORY srv FILES TwoInts.srv)
generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

macro(rostutorial T)
  add_executable(${T} ${T}/${T}.cpp)
  target_link_libraries(${T} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
  add_dependencies(${T} roscpp_tutorials_gencpp)
  install(TARGETS ${T}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endmacro()

foreach(dir
    listener
    notify_connect
    talker
    babbler
    add_two_ints_client
    add_two_ints_server
    add_two_ints_server_class
    anonymous_listener
    listener_with_userdata
    listener_multiple
    listener_threaded_spin
    listener_async_spin
    # listener_single_message
    listener_with_tracked_object
    listener_unreliable
    listener_class
    node_handle_namespaces
    custom_callback_processing
    timers
    parameters
    cached_parameters
    )
  rostutorial(${dir})
endforeach()

add_executable(time_api_sleep time_api/sleep/sleep.cpp)
target_link_libraries(time_api_sleep ${catkin_LIBRARIES})
install(TARGETS time_api_sleep
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
  launch/talker_listener.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== add_two_ints_server/CMakeLists.txt ===
rosbuild_add_executable(add_two_ints_server add_two_ints_server.cpp)

=== babbler/CMakeLists.txt ===
rosbuild_add_executable(babbler babbler.cpp)

=== cached_parameters/CMakeLists.txt ===
rosbuild_add_executable(cached_parameters cached_parameters.cpp)

=== custom_callback_processing/CMakeLists.txt ===
rosbuild_add_executable(custom_callback_processing custom_callback_processing.cpp)

=== listener/CMakeLists.txt ===
include_directories(${catkin_INCLUDE_DIRS})
add_executable(listener listener.cpp)
target_link_libraries(listener ${catkin_LIBRARIES})
install(TARGETS listener
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== listener_multiple/CMakeLists.txt ===
rosbuild_add_executable(listener_multiple listener_multiple.cpp)

=== listener_threaded_spin/CMakeLists.txt ===
rosbuild_add_executable(listener_threaded_spin listener_threaded_spin.cpp)

=== listener_unreliable/CMakeLists.txt ===
rosbuild_add_executable(listener_unreliable listener_unreliable.cpp)

=== listener_with_tracked_object/CMakeLists.txt ===
rosbuild_add_executable(listener_with_tracked_object listener_with_tracked_object.cpp)

=== notify_connect/CMakeLists.txt ===
rosbuild_add_executable(notify_connect notify_connect.cpp)

=== parameters/CMakeLists.txt ===
rosbuild_add_executable(parameters parameters.cpp)

=== debian/changelog ===
ros-one-roscpp-tutorials (0.10.3-0jammy.20251023.0013) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 00:13:12 +0000

ros-one-roscpp-tutorials (0.10.3-0jammy) jammy; urgency=high

  * use boost::placeholders::_1 instead of deprecated _1, and boost/bind/bind.hpp instead of bind.hpp (#142 <https://github.com/ros/ros_tutorials/issues/142>)
  * Update maintainers (#102 <https://github.com/ros/ros_tutorials/issues/102>)
  * Contributors: Lucas Walter, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-roscpp-tutorials (0.10.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 31 Jul 2020 00:00:00 -0000

ros-one-roscpp-tutorials (0.10.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-one-roscpp-tutorials (0.10.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-one-roscpp-tutorials (0.9.2-0jammy) jammy; urgency=high

  * explicitly state Boost dependencies manifests (#83 <https://github.com/ros/ros_tutorials/issues/83>)
  * bump CMake minimum version to avoid CMP0048 warning (#81 <https://github.com/ros/ros_tutorials/issues/81>)
  * add cached parameter sample (#52 <https://github.com/ros/ros_tutorials/issues/52>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 26 Feb 2020 00:00:00 -0000

ros-one-roscpp-tutorials (0.9.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 Mar 2019 00:00:00 -0000

ros-one-roscpp-tutorials (0.9.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Apr 2018 00:00:00 -0000

ros-one-roscpp-tutorials (0.8.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-one-roscpp-tutorials (0.8.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 10 Mar 2017 00:00:00 -0000

ros-one-roscpp-tutorials (0.7.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-one-roscpp-tutorials (0.7.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-one-roscpp-tutorials (0.6.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-one-roscpp-tutorials (0.6.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 May 2015 00:00:00 -0000

ros-one-roscpp-tutorials (0.5.3-0jammy) jammy; urgency=high

  * add talker_listener launch file (#21 <https://github.com/ros/ros_tutorials/pull/21>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 May 2015 00:00:00 -0000

ros-one-roscpp-tutorials (0.5.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-one-roscpp-tutorials (0.5.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-one-roscpp-tutorials (0.5.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-one-roscpp-tutorials (0.4.3-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-one-roscpp-tutorials (0.4.2-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.4.1-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Sep 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.4.0-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.13-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.12-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 29 Mar 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.11-0jammy) jammy; urgency=high

  * update email in package.xml

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.10-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.9-0jammy) jammy; urgency=high

  * modified dep type of catkin

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Dec 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.8-0jammy) jammy; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 13 Dec 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.7-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 06 Dec 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.6-0jammy) jammy; urgency=high

  * fix catkin function order

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 30 Oct 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.5-0jammy) jammy; urgency=high

  * fixed installation of cpp talker and listener

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Oct 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.4-0jammy) jammy; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 06 Oct 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.3-0jammy) jammy; urgency=high

  * fixed missing genmsg stuff
  * updated to latest catkin
  * updated package.xml files
  * added package.xml files

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Oct 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.2-0jammy) jammy; urgency=high

  * updated catkin variables

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 05 Sep 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.1-0jammy) jammy; urgency=high

  * use install destination variables, removed manual installation of manifests



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-roscpp-tutorials//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-roscpp-tutorials 0.10.3-0jammy.20260220.2113

=== debian/changelog ===
ros-one-roscpp-tutorials (0.10.3-0jammy.20260220.2113) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 20 Feb 2026 21:13:19 +0000

## ros-one-roscpp-tutorials 0.10.3-0noble.20251023.0012

=== add_two_ints_client/CMakeLists.txt ===
add_executable(add_two_ints_client add_two_ints_client.cpp)
target_link_libraries(add_two_ints_client ${catkin_LIBRARIES})

=== add_two_ints_server_class/CMakeLists.txt ===
rosbuild_add_executable(add_two_ints_server_class add_two_ints_server_class.cpp)

=== anonymous_listener/CMakeLists.txt ===
rosbuild_add_executable(anonymous_listener anonymous_listener.cpp)

=== listener_async_spin/CMakeLists.txt ===
rosbuild_add_executable(listener_async_spin listener_async_spin.cpp)

=== listener_class/CMakeLists.txt ===
rosbuild_add_executable(listener_class listener_class.cpp)

=== listener_single_message/CMakeLists.txt ===
rosbuild_add_executable(listener_single_message listener_single_message.cpp)

=== listener_with_userdata/CMakeLists.txt ===
rosbuild_add_executable(listener_with_userdata listener_with_userdata.cpp)

=== node_handle_namespaces/CMakeLists.txt ===
rosbuild_add_executable(node_handle_namespaces node_handle_namespaces.cpp)

=== time_api/CMakeLists.txt ===
add_subdirectory(sleep)

=== timers/CMakeLists.txt ===
rosbuild_add_executable(timers timers.cpp)

=== time_api/sleep/CMakeLists.txt ===
rosbuild_add_executable(sleep sleep.cpp)

=== debian/changelog ===
ros-one-roscpp-tutorials (0.10.3-0noble.20251023.0012) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 23 Oct 2025 00:12:04 +0000

ros-one-roscpp-tutorials (0.10.3-0noble) noble; urgency=high

  * use boost::placeholders::_1 instead of deprecated _1, and boost/bind/bind.hpp instead of bind.hpp (#142 <https://github.com/ros/ros_tutorials/issues/142>)
  * Update maintainers (#102 <https://github.com/ros/ros_tutorials/issues/102>)
  * Contributors: Lucas Walter, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-roscpp-tutorials (0.10.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 31 Jul 2020 00:00:00 -0000

ros-one-roscpp-tutorials (0.10.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 22 May 2020 00:00:00 -0000

ros-one-roscpp-tutorials (0.10.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-one-roscpp-tutorials (0.9.2-0noble) noble; urgency=high

  * explicitly state Boost dependencies manifests (#83 <https://github.com/ros/ros_tutorials/issues/83>)
  * bump CMake minimum version to avoid CMP0048 warning (#81 <https://github.com/ros/ros_tutorials/issues/81>)
  * add cached parameter sample (#52 <https://github.com/ros/ros_tutorials/issues/52>)

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 26 Feb 2020 00:00:00 -0000

ros-one-roscpp-tutorials (0.9.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 Mar 2019 00:00:00 -0000

ros-one-roscpp-tutorials (0.9.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Apr 2018 00:00:00 -0000

ros-one-roscpp-tutorials (0.8.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-one-roscpp-tutorials (0.8.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 10 Mar 2017 00:00:00 -0000

ros-one-roscpp-tutorials (0.7.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-one-roscpp-tutorials (0.7.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-one-roscpp-tutorials (0.6.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-one-roscpp-tutorials (0.6.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 May 2015 00:00:00 -0000

ros-one-roscpp-tutorials (0.5.3-0noble) noble; urgency=high

  * add talker_listener launch file (#21 <https://github.com/ros/ros_tutorials/pull/21>)

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 04 May 2015 00:00:00 -0000

ros-one-roscpp-tutorials (0.5.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-one-roscpp-tutorials (0.5.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 08 May 2014 00:00:00 -0000

ros-one-roscpp-tutorials (0.5.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-one-roscpp-tutorials (0.4.3-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-one-roscpp-tutorials (0.4.2-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.4.1-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Sep 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.4.0-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 06 Sep 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.13-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.12-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 29 Mar 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.11-0noble) noble; urgency=high

  * update email in package.xml

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.10-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.9-0noble) noble; urgency=high

  * modified dep type of catkin

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Dec 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.8-0noble) noble; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 13 Dec 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.7-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 06 Dec 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.6-0noble) noble; urgency=high

  * fix catkin function order

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 30 Oct 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.5-0noble) noble; urgency=high

  * fixed installation of cpp talker and listener

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Oct 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.4-0noble) noble; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Sat, 06 Oct 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.3-0noble) noble; urgency=high

  * fixed missing genmsg stuff
  * updated to latest catkin
  * updated package.xml files
  * added package.xml files

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Oct 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.2-0noble) noble; urgency=high

  * updated catkin variables

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 05 Sep 2012 00:00:00 -0000

ros-one-roscpp-tutorials (0.3.1-0noble) noble; urgency=high

  * use install destination variables, removed manual installation of manifests



=== debian/control ===
Source: ros-one-roscpp-tutorials
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-date-time-dev, libboost-thread-dev, ros-one-catkin, ros-one-message-generation, ros-one-rosconsole, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-rostime, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/roscpp_tutorials
Standards-Version: 3.9.2

Package: ros-one-roscpp-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-date-time-dev, libboost-thread-dev, ros-one-message-runtime, ros-one-rosconsole, ros-one-roscpp, ros-one-roscpp-serialization, ros-one-rostime, ros-one-std-msgs
Description: This package attempts to show the features of ROS step-by-step, including using messages, servers, parameters, etc.

## ros-one-roscpp-tutorials 0.10.3-0noble.20260220.2119

=== debian/changelog ===
ros-one-roscpp-tutorials (0.10.3-0noble.20260220.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 20 Feb 2026 21:19:00 +0000
